Subject: Re: [SIP] Handling 3xx after 1xx with SDP

From: Sean Olson <[email-masked]>
Date: Mon, 17 Jul 2000 13:49:30 -0500 (CDT)

> Hi All,
> 
> How should SIP handle a 3xx response if it is received after a 1xx with
> SDP .
> A 1xx with SDP leads to bridging of a call and so if a 3xx is received
> after a call is bridged, we can pretty
> much do nothing at the SIP level .  Cases where a 3xx is received after
> 1xx with no SDP has no problems.
> 
> Is this true ?
> Your comments will be appreciated
> 
> Thanks
> Ameet

I don't see a problem in either situation (a 1xx with or without SDP).
The SDP in the 1xx response specifies (potentially) temporary media 
associated with the provisional response (such as remote ring tone). 
When a final response (2xx, 3xx, etc.) is received this media may be
torn down and replaced with media specified with SDP in the final response.
For a 3xx class response, I would tear down the media established with the
1xx response, then issue a new INVITE to the party or parties indicated in
the 3xx response (and consequently establish a new media connection).

This is similar to but not identical to a re-INVITE with new SDP.
I believe this is spelled out in more detail in the 183 draft.

cheers!
sean
--
Sean Olson <[email-masked]>

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip